.btn, .btn:link, .btn:visited {
  display: inline-block;
  text-decoration: none;
  padding: 1.5rem 4rem;
  border-radius: 10rem;
  font-weight: 500;
  text-transform: uppercase;
  transition: all 0.3s ease;
  position: relative;
  animation: moveup 0.5s ease-in 0.7s;
  animation-fill-mode: backwards;
  font-size: 1.6rem;
  border: none; }

.btn:hover {
  box-shadow: 0 10px 8px rgba(0, 0, 0, 0.2);
  transform: translateY(-1rem); }
  .btn:hover:after {
    opacity: 0;
    transform: scalex(1.4) scaleY(1.6); }

.btn:active, .btn:active {
  box-shadow: 0 10px 5px rgba(0, 0, 0, 0.2);
  transform: translateY(-0.5rem); }

.btn--white {
  color: #777;
  background-color: #fff; }
  .btn--white:after {
    background: white; }

.btn--green {
  background-color: #7ed56f;
  color: #fff; }
  .btn--green:after {
    background: white; }

.btn:after {
  content: "";
  display: inline-block;
  height: 100%;
  width: 100%;
  position: absolute;
  left: 0;
  top: 0;
  z-index: -1;
  border-radius: 10rem;
  opacity: 1;
  transition: all 0.3s; }

.btn-text:link, .btn-text:visited {
  font-size: 1.6rem;
  color: #7ed56f;
  display: inline-block;
  text-decoration: none;
  border-bottom: 1px solid #7ed56f;
  padding: 0.3rem;
  transition: all 0.2s; }

.btn-text:hover {
  transform: translateY(-2px);
  background-color: #7ed56f;
  color: #fff;
  box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2); }

.btn-text:active {
  transform: translateY(1px); }

.card {
  perspective: 1500px;
  -moz-perspective: 1500px;
  position: relative;
  height: 50rem; }
  .card__side {
    height: 50rem;
    position: absolute;
    width: 100%;
    transition: all 0.7s ease;
    backface-visibility: hidden;
    font-size: 2rem;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 1.5rem 4rem rgba(0, 0, 0, 0.15); }
    .card__side--front {
      background-color: white; }
    .card__side--back {
      transform: rotatey(-180deg); }
      .card__side--back--1 {
        background-image: linear-gradient(to right bottom, #ffb900, #ff7730); }
      .card__side--back--2 {
        background-image: linear-gradient(to right bottom, #55c57a, #28b485); }
      .card__side--back--3 {
        background-image: linear-gradient(to right bottom, #2998ff, #5643fa); }
  .card:hover .card__side--front {
    transform: rotatey(180deg); }
  .card:hover .card__side--back {
    transform: rotatey(0); }
  .card__image {
    height: 23rem;
    background-blend-mode: screen;
    background-size: cover;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    clip-path: polygon(0 0, 100% 0, 100% 85%, 0 100%); }
    .card__image--1 {
      background-image: linear-gradient(to right bottom, #ffb900, #ff7730), url(../img/nat-5.jpg); }
    .card__image--2 {
      background-image: linear-gradient(to right bottom, #55c57a, #28b485), url(../img/nat-6.jpg); }
    .card__image--3 {
      background-image: linear-gradient(to right bottom, #2998ff, #5643fa), url(../img/nat-7.jpg); }
  .card__heading {
    text-transform: capitalize;
    font-size: 2.5rem;
    position: absolute;
    top: 12rem;
    right: 2rem;
    width: 12ch;
    color: white;
    text-align: right; }
  .card__heading--span {
    padding: 1rem 1.5rem;
    box-decoration-break: clone;
    -webkit-box-decoration-break: clone; }
    .card__heading--span--1 {
      background-image: linear-gradient(to right bottom, rgba(255, 185, 0, 0.85), rgba(255, 119, 48, 0.85)); }
    .card__heading--span--2 {
      background-image: linear-gradient(to right bottom, rgba(85, 197, 122, 0.85), rgba(40, 180, 133, 0.85)); }
    .card__heading--span--3 {
      background-image: linear-gradient(to right bottom, rgba(41, 152, 255, 0.85), rgba(86, 67, 250, 0.85)); }
  .card__detail {
    padding: 3rem; }
    .card__detail ul {
      list-style: none;
      width: 80%;
      margin: 0 auto; }
      .card__detail ul li {
        text-transform: capitalize;
        text-align: center;
        font-size: 1.5rem;
        padding: 1rem; }
        .card__detail ul li:not(:last-child) {
          border-bottom: solid #eee thin; }
  .card__cta {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    text-align: center; }
  .card__price-box {
    text-align: center;
    color: #fff;
    margin-bottom: 8rem; }
  .card__price-only {
    font-size: 1.5rem;
    text-transform: uppercase; }
  .card__price-value {
    font-size: 5rem;
    font-weight: 100; }

.composition {
  position: relative; }
  .composition__photo {
    width: 55%;
    box-shadow: 0 1.5rem 4rem rgba(0, 0, 0, 0.4);
    position: absolute;
    outline-offset: 1.1rem; }
    .composition__photo--p1 {
      left: 0;
      top: -2rem; }
    .composition__photo--p2 {
      top: 2rem;
      right: 0; }
    .composition__photo--p3 {
      top: 10rem;
      left: 20%; }
    .composition__photo:hover {
      z-index: 20;
      transform: scale(1.05) translateY(-5px);
      outline: solid 1.6rem #7ed56f;
      box-shadow: 0 2.5rem 4rem rgba(0, 0, 0, 0.5); }
  .composition:hover .composition__photo:not(:hover) {
    transform: scale(0.95); }

.feature-box {
  border: solid black thin;
  background-color: rgba(255, 255, 255, 0.8);
  padding: 2.5rem;
  text-align: center;
  border-radius: 3px;
  box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2);
  transition: all 0.3s; }
  .feature-box__icon {
    font-size: 6rem;
    background-image: linear-gradient(to right, #55c57a, #28b485);
    -webkit-background-clip: text;
    color: transparent; }
  .feature-box:hover {
    transform: translatey(-20%) scale(1.2);
    box-shadow: 7px 2rem 2rem rgba(0, 0, 0, 0.2); }

.bg-video {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: -1;
  opacity: 0.3;
  overflow: hidden; }
  .bg-video--content {
    height: 100%;
    width: 100%;
    object-fit: cover; }

.book {
  width: 100%;
  background-image: linear-gradient(105deg, rgba(255, 255, 255, 0.8) 50%, transparent 50%), url(../img/nat-10.jpg);
  background-size: cover;
  box-shadow: 0 1.5rem 3rem rgba(40, 180, 133, 0.15);
  padding: 3rem; }

.story {
  margin: 0 auto;
  width: 75%;
  box-shadow: 0 0.5rem 4rem rgba(0, 0, 0, 0.3);
  background-color: rgba(255, 255, 255, 0.7);
  font-size: 1.6rem;
  padding: 6rem;
  padding-left: 9rem;
  transform: skew(-12deg); }
  .story:not(:last-child) {
    margin-bottom: 8rem; }
  .story > * {
    transform: skew(12deg); }
  .story-shape {
    height: 15rem;
    width: 15rem;
    background-color: #ff2600;
    float: left;
    clip-path: circle(50% at 50% 50%);
    shape-outside: circle(50% at 50% 50%);
    -webkit-shape-outside: circle(50% at 50% 50%);
    transform: translate(-3rem) skew(12deg);
    backface-visibility: hidden; }
    .story-shape > img {
      height: 100%;
      transform: translate(-15%) scale(1.4);
      position: relative;
      transition: all 0.5s; }
    .story-shape__caption {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-35%, 20%);
      opacity: 0;
      color: #fff;
      text-transform: uppercase;
      transition: all 0.5s; }
  .story:hover .story-shape > img {
    transform: translate(-15%) scale(1);
    filter: blur(3px) brightness(80%); }
  .story:hover .story-shape__caption {
    transform: translate(-35%, -50%);
    opacity: 1; }

.form {
  width: 50%; }
  .form__group:not(last-child) {
    margin-bottom: 2rem; }
  .form__input {
    font-size: 1.5rem;
    color: inherit;
    font-family: inherit;
    display: block;
    font-size: 1.5rem;
    padding: 1rem 2rem;
    width: 80%;
    border: none;
    border-bottom: solid 3px transparent; }
    .form__input:focus {
      outline: none;
      border-bottom: solid 3px #7ed56f;
      box-shadow: 0 1.5rem 2rem rgba(0, 0, 0, 0.1); }
    .form__input:focus:invalid {
      border-bottom: solid 3px #ff7730; }
    .form__input::-webkit-input-placeholder {
      color: #c9c9c9; }
  .form__label {
    font-size: 1.5rem;
    font-weight: 600;
    padding: 1rem 0 0 2rem;
    display: block;
    visibility: visible;
    transition: all 0.4s; }
  .form__input:placeholder-shown + .form__label {
    transform: translateY(-70%);
    opacity: 0;
    visibility: hidden; }
  .form__radio-group {
    display: block; }
  .form__radio-input {
    display: none; }
  .form__radio-input:checked + .form__radio-label .form__radio-btn::after {
    opacity: 1; }
  .form__radio-label {
    margin-left: 1rem;
    font-size: 1.6rem;
    padding-left: 3rem;
    position: relative; }
  .form__radio-btn {
    border: solid #28b485 0.5rem;
    border-radius: 50%;
    height: 1.3rem;
    width: 1.3rem;
    display: inline-block;
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0; }
    .form__radio-btn:after {
      content: "";
      border: solid #28b485 0.45rem;
      display: block;
      background-color: #28b485;
      height: 0.1rem;
      width: 0.1rem;
      border-radius: 50%;
      position: absolute;
      top: 0;
      left: 0;
      transform: translate(17%, 13%);
      opacity: 0; }

.popup {
  height: 100vh;
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 9999;
  opacity: 0;
  visibility: hidden;
  transition: all .3s; }
  .popup__content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 75%;
    background-color: #fff;
    box-shadow: 0 2rem 4rem rgba(0, 0, 0, 0.2);
    border-radius: 3px;
    display: table;
    overflow: hidden;
    opacity: 0;
    transform: translate(-50%, -50%) scale(0.25);
    transition: all .5s .2s; }
  .popup__left {
    width: 33.333333%;
    display: table-cell; }
  .popup__right {
    width: 66.6666667%;
    display: table-cell;
    vertical-align: middle;
    padding: 3rem 5rem; }
  .popup__img {
    display: block;
    width: 100%; }
  .popup__text {
    font-size: 1.4rem;
    margin-bottom: 4rem;
    -moz-column-count: 2;
    -moz-column-gap: 4rem;
    -moz-column-rule: 1px solid #eee;
    column-count: 2;
    column-gap: 4rem;
    column-rule: 1px solid #eee;
    -moz-hyphens: auto;
    -ms-hyphens: auto;
    -webkit-hyphens: auto;
    hyphens: auto; }
  .popup:target {
    opacity: 1;
    visibility: visible; }
  .popup:target .popup__content {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1); }
  .popup__close:link, .popup__close:visited {
    color: #777;
    position: absolute;
    top: 2.5rem;
    right: 2.5rem;
    font-size: 3rem;
    text-decoration: none;
    display: inline-block;
    transition: all .2s;
    line-height: 1; }
  .popup__close:hover {
    color: #7ed56f; }

* {
  margin: 0;
  padding: 0; }

html {
  font-size: 62.5%; }

body {
  font-family: "Lato", sans-serif;
  font-weight: 400;
  line-height: 1.7;
  padding: 3rem;
  box-sizing: border-box;
  color: #777; }

#textbox {
  position: absolute;
  top: 40%;
  left: 50%;
  text-align: center;
  transform: translate(-50%, -50%); }
  #textbox h1 {
    color: white;
    text-transform: uppercase; }
  #textbox__heading {
    display: block;
    font-size: 6rem;
    color: #fff;
    letter-spacing: 3.5rem;
    font-weight: 400;
    animation: moveleft 1s ease-in;
    backface-visibility: hidden; }
  #textbox__subheadings {
    display: block;
    font-size: 2rem;
    letter-spacing: 1.7rem;
    text-align: center;
    font-weight: 700;
    animation: moveright 1s ease-in;
    backface-visibility: hidden;
    margin-bottom: 5rem; }

.heading__secondary {
  font-size: 3rem;
  text-transform: uppercase;
  font-weight: 700;
  background-image: linear-gradient(to right, #55c57a, #28b485);
  display: inline-block;
  background-clip: content-box;
  -webkit-background-clip: text;
  color: transparent;
  letter-spacing: 0.2rem;
  cursor: pointer;
  transition: all 0.3s; }
  .heading__secondary:hover {
    transform: skewY(2deg) skewX(15deg) scale(1.1);
    text-shadow: 0.5rem 1rem 2rem rgba(0, 0, 0, 0.2); }

.heading__tertiary {
  font-size: 1.5rem;
  font-weight: 700;
  text-transform: uppercase; }

.paragraph {
  font-size: 1.5rem;
  font-weight: 700; }
  .paragraph:not(:last-child) {
    margin-bottom: 3rem; }

.u-center-text {
  text-align: center; }

.margin-bottom-s {
  margin-bottom: 1.5rem; }

.margin-bottom-m {
  margin-bottom: 4rem; }

.margin-bottom-x {
  margin-bottom: 8rem; }

.margin-top-s {
  margin-top: 1.5rem; }

.margin-top-m {
  margin-top: 4rem; }

.margin-top-x {
  margin-top: 8rem; }

.padding-lr-s {
  padding: 0 1.5rem; }

.padding-lr-m {
  padding: 0 4rem; }

.padding-lr-x {
  padding: 0 8rem; }

@keyframes moveleft {
  0% {
    opacity: 0;
    transform: translate(-10rem); }
  80% {
    opacity: 0.5;
    transform: translate(1rem); }
  100% {
    opacity: 1;
    transform: translate(0); } }

@keyframes moveright {
  0% {
    opacity: 0;
    transform: translate(10rem); }
  80% {
    opacity: 0.5;
    transform: translate(-1rem); }
  100% {
    opacity: 1;
    transform: translate(0); } }

@keyframes moveup {
  0% {
    opacity: 0;
    transform: translatey(5rem); }
  80% {
    opacity: 0.8;
    transform: translatey(-1rem); }
  100% {
    opacity: 1;
    transform: translatey(0); } }

.header {
  height: 95vh;
  background-image: linear-gradient(to right bottom, rgba(85, 197, 122, 0.8), rgba(40, 180, 133, 0.8)), url(../img/hero.jpg);
  background-size: cover;
  background-position: top;
  clip-path: polygon(0 0, 100% 0, 100% 75vh, 0 100%);
  position: relative; }

#logo-box {
  position: absolute;
  top: 4rem;
  left: 4rem; }
  #logo-box img {
    height: 3.5rem; }

.row {
  max-width: 114rem;
  margin: 0 auto; }
  .row:after {
    content: "";
    display: table;
    clear: both; }
  .row [class^="col-"] {
    float: left; }
    .row [class^="col-"]:not(:last-child) {
      margin-right: 6rem; }
  .row .col-1-of-2 {
    width: calc((100% - 6rem) / 2); }
  .row .col-1-of-3 {
    width: calc((100% - (6rem*2)) / 3); }
  .row .col-1-of-4 {
    width: calc((100% - (6rem*3)) / 4); }

.footer {
  background-color: #333;
  padding: 10rem 0;
  font-size: 1.4rem;
  color: #f7f7f7; }
  .footer__logo-box {
    text-align: center;
    margin-bottom: 8rem; }
  .footer__logo {
    width: 15rem;
    height: auto; }
  .footer__navigation {
    border-top: 1px solid #777;
    padding-top: 2rem;
    display: inline-block; }
  .footer__list {
    list-style: none; }
  .footer__item {
    display: inline-block; }
    .footer__item:not(:last-child) {
      margin-right: 1.5rem; }
  .footer__link:link, .footer__link:visited {
    color: #f7f7f7;
    background-color: #333;
    text-decoration: none;
    text-transform: uppercase;
    display: inline-block;
    transition: all .2s; }
  .footer__link:hover, .footer__link:active {
    color: #7ed56f;
    box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.4);
    transform: rotate(5deg) scale(1.3); }
  .footer__copyright {
    border-top: 1px solid #777;
    padding-top: 2rem;
    width: 80%;
    float: right; }

.navigation__checkbox {
  display: none; }

.navigation__button {
  background-color: #fff;
  height: 7rem;
  width: 7rem;
  position: fixed;
  top: 6rem;
  right: 6rem;
  border-radius: 50%;
  z-index: 2000;
  box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.1);
  text-align: center;
  cursor: pointer; }

.navigation__background {
  height: 6rem;
  width: 6rem;
  border-radius: 50%;
  position: fixed;
  top: 6.5rem;
  right: 6.5rem;
  background-image: radial-gradient(#55c57a, #28b485);
  z-index: 1000;
  transition: transform 0.8s cubic-bezier(0.86, 0, 0.07, 1); }

.navigation__nav {
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1500;
  opacity: 0;
  width: 0;
  transition: all 0.8s cubic-bezier(0.68, -0.55, 0.265, 1.55); }

.navigation__list {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  list-style: none;
  text-align: center;
  width: 100%; }

.navigation__item {
  margin: 1rem; }

.navigation__link:link, .navigation__link:visited {
  display: inline-block;
  font-size: 3rem;
  font-weight: 300;
  padding: 1rem 2rem;
  color: #fff;
  text-decoration: none;
  text-transform: uppercase;
  background-image: linear-gradient(120deg, transparent 0%, transparent 50%, #fff 50%);
  background-size: 220%;
  transition: all .4s; }
  .navigation__link:link span, .navigation__link:visited span {
    margin-right: 1.5rem;
    display: inline-block; }

.navigation__link:hover, .navigation__link:active {
  background-position: 100%;
  color: #7ed56f;
  transform: translateX(1rem); }

.navigation__checkbox:checked ~ .navigation__background {
  transform: scale(80); }

.navigation__checkbox:checked ~ .navigation__nav {
  opacity: 1;
  width: 100%; }

.navigation__icon {
  position: relative;
  margin-top: 3.5rem; }
  .navigation__icon, .navigation__icon::before, .navigation__icon::after {
    width: 3rem;
    height: 2px;
    background-color: #333;
    display: inline-block; }
  .navigation__icon::before, .navigation__icon::after {
    content: "";
    position: absolute;
    left: 0;
    transition: all .2s; }
  .navigation__icon::before {
    top: -.8rem; }
  .navigation__icon::after {
    top: .8rem; }

.navigation__button:hover .navigation__icon::before {
  top: -1rem; }

.navigation__button:hover .navigation__icon::after {
  top: 1rem; }

.navigation__checkbox:checked + .navigation__button .navigation__icon {
  background-color: transparent; }

.navigation__checkbox:checked + .navigation__button .navigation__icon::before {
  top: 0;
  transform: rotate(135deg); }

.navigation__checkbox:checked + .navigation__button .navigation__icon::after {
  top: 0;
  transform: rotate(-135deg); }

.section__about {
  background-color: #f7f7f7;
  padding: 25rem 0;
  margin-top: -20vh; }

.section-features {
  margin-top: -10rem;
  padding: 28rem 0;
  background-image: linear-gradient(to right bottom, rgba(85, 197, 122, 0.8), rgba(40, 180, 133, 0.8)), url(../../img/nat-4.jpg);
  transform: skewY(-7deg);
  background-size: cover;
  background-position: top; }
  .section-features > * {
    transform: skewY(7deg); }

.section-tours {
  padding: 25rem 0 15rem 0;
  background: #f7f7f7;
  margin-top: -8rem; }

.section-story {
  position: relative;
  padding: 9rem 0 10rem 0; }

.section-book {
  background-image: linear-gradient(to right bottom, #55c57a, #28b485);
  padding: 25rem 15rem; }
